#include<stdio.h>
main()
{
	int K,N,a[1000],i;
	printf("Koliko Milivoje ima napitaka?");
	scanf("%d",&N);
	printf("Koliko napitaka treba da izabere?");
	scanf("%d",&K);
	for(i=0;i<N;i++)
	{
		printf("Koja je moc %d. napitka?",i+1);
		scanf("%d",&a[i]);
	}
	for(i=0;i<K-1;i++)
	{
		if(a[i]>a[K-1])
		{
			a[i]=a[i]-a[K-1];
			K--;
		}
		else
		{
			a[K-1]=a[K-1]-a[i];
			for(i=1;i<K;i++)
			{
				a[i-1]=a[i];
			}
		}
		
	}
	if(K%2==0)
		printf("Moc poslednjeg napitka je: %d",a[0]);
	else
		printf("Moc poslednjeg napitka je %d",a[1]);
}